---
title: floor
slug: Web/XPath/Functions/floor
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>floor</code> function evaluates a decimal number and returns the largest integer less than or equal to the decimal number.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">floor( <em>number</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>number</em></code></dt>
 <dd>The decimal number to be evaluated.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>The nearest integer less than or equal to <code><em>number</em></code>.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-floor">XPath 1.0 4.4</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
